Workflow EngineContracts
List all contracts
Authorization
basicAuth AuthorizationBasic <token>
In: header
Query Parameters
state?string
dateAfter?integer
Timestamp of start date range
Format
int64dateBefore?integer
Timestamp of end date range
Format
int64page?integer
Requested page number
Format
int32Default
-1size?integer
Requested page size
Format
int32Default
-1Response Body
application/json
curl -X GET "https://example.com/api/admin/contracts"[ { "callbackURL": "string", "childContracts": [ {} ], "date": "2019-08-24T14:15:22Z", "domainName": "string", "errors": [ { "code": "string", "data": "string", "date": "2019-08-24T14:15:22Z", "message": "string" } ], "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "metaData": { "property1": "string", "property2": "string" }, "multiSignaturesWorkflowId": "string", "payload": "string", "responses": [ { "context": { "property1": "string", "property2": "string" }, "contractId": "string", "data": "string", "date": "2019-08-24T14:15:22Z", "domainName": "string", "id": "string", "rejectionMessage": "string", "response": "string", "signature": "string", "username": "string" } ], "state": "string", "type": "string", "usernames": [ "string" ], "workflowId": "string" }]